Bug 225956 - net-mgmt/zabbix*-[server|proxy]: Fix fping location
Summary: net-mgmt/zabbix*-[server|proxy]: Fix fping location
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Danilo G. Baio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-16 15:56 UTC by freebsd
Modified: 2018-02-22 17:14 UTC (History)
2 users (show)

See Also:
dbaio: maintainer-feedback+


Attachments
zabbix-fping.patch (4.47 KB, patch)
2018-02-22 13:53 UTC, Danilo G. Baio
pg: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd 2018-02-16 15:56:53 UTC
On a new install, the zabbix 3.4.5 package is filling logs up with:

zabbix_server[44584]: At least one of '/usr/sbin/fping', '/usr/sbin/fping6' must exist. Both are missing in the system.

The fping package was previously installed, but it puts the binaries in the standard FreeBSD location: /usr/local/sbin/.

I have used the obvious work-around:

ln -s /usr/local/sbin/fping /usr/sbin/fping
Comment 1 pg 2018-02-20 11:58:58 UTC
Please find into zabbix_server.conf.sample the following parameters:

$ grep fping /usr/local/etc/zabbix34/zabbix_server.conf.sample
#       Location of fping.
#       Make sure that fping binary has root ownership and SUID flag set.
# FpingLocation=/usr/local/sbin/fping
#       Location of fping6.
#       Make sure that fping6 binary has root ownership and SUID flag set.
#       Make empty if your fping utility is capable to process IPv6 addresses.
# Fping6Location=/usr/local/sbin/fping6
Comment 2 Danilo G. Baio freebsd_committer 2018-02-22 13:53:28 UTC
Created attachment 190895 [details]
zabbix-fping.patch

Humm, the ports are patching fping location only in the config file, so the default location is wrong.

The attached patch fixes this.
Comment 3 commit-hook freebsd_committer 2018-02-22 17:09:19 UTC
A commit references this bug:

Author: dbaio
Date: Thu Feb 22 17:08:47 UTC 2018
New revision: 462615
URL: https://svnweb.freebsd.org/changeset/ports/462615

Log:
  net-mgmt/zabbix*: Fix fping location

  Zabbix ports were patching fping location only in the config file,
  so the default location of fping was wrong.

  PR:		225956
  Reported by:	markham_breitbach@ssimicro.com
  Approved by:	Pakhom Golynga <pg@pakhom.spb.ru> (maintainer)

Changes:
  head/net-mgmt/zabbix2-server/Makefile
  head/net-mgmt/zabbix22-server/Makefile
  head/net-mgmt/zabbix3-server/Makefile
  head/net-mgmt/zabbix32-server/Makefile
  head/net-mgmt/zabbix34-server/Makefile
Comment 4 Danilo G. Baio freebsd_committer 2018-02-22 17:14:34 UTC
Committed, thanks!